// ================
// BATTLEZONE CLASSIC SHELL - AIP Setup Page
// Made by General BlackDragon
// ================

//
// CREATE THE NAME DIALOG
//

CreateControl("AISetupPage", "WINDOW")
{	
	// inherit root window's dimensions
	Geometry("HCENTRE", "VCENTRE");
	ColorGroup("WHITE");
	Style("MODAL", "MoveAble"); //, "ThinTitleBar");
	Size(236, 300);
	Image("recdes.tga", 0, 0, 472, 600);
	//TabSize(0, 0);

	CreateControl("Name1Title", "STATIC")
	{
		ColorGroup("LISTBOX");
		Geometry("LEFT", "TOP");
		Position(0, 5);
		Size(236, 10);
		Font("SMALL");
		Text("AI Setup");
		JustifyText("CENTER");
		Style("TRANSPARENT");
	}

	CreateControl("CloseAIPSetup", "BUTTON")
	{
		ColorGroup("BZCBUTTON");
		Geometry("HCENTRE", "BOTTOM");
		Position(0, -2);
		Size(118, 29);
		Style("ROLLOVER");
		Cursor("Highlight");
		Image("ButtonSmL.tga", 0, 0, 118, 29);
		NotifyParent("Button::Press","CloseAISetup");

		CreateControl("Text", "STATIC")
		{
			Geometry("LEFT", "TOP");
			Position(19, 9);
			Size(80, 12);
			ColorGroup("BZCBUTTON");
			Font("SMALL");
			Style("INERT");
			JustifyText("CENTER");
			Text("Ok");
		}
	}

	CreateControl("AIOpponent1Window", "WINDOW")
	{
		ColorGroup("LISTBOX");
		//ColorGroup("BUTTONBOX");
		Position(0, 30);
		Size(236, 50);
		Style("TRANSPARENT", "INERT");
		//Style("SOLID", "INERT");
		Geometry("LEFT", "TOP");

		CreateControl("AIOpponent1Title", "STATIC")
		{
			ColorGroup("LISTBOX");
			Position(0, -10);
			Size(236, 10);
			Style("TRANSPARENT");
			Font("SMALL");
			JustifyText("CENTER");
			Text("CPU Opponent 1");
		}

		CreateControl("AIOpponent1Race", "LISTBOX")
		{
			ColorGroup("BZCLISTBOXG");
			Geometry("LEFT", "TOP");
			Position(0, 0);
			Size(75, 50);
			CellSize(65, 10);
			Style("OUTLINE");
			Cursor("Highlight");
			Font("SMALL");
			Style("VSLIDER");
			AddTextItem("", "---NONE---");
			AddTextItem("a", "American");
			AddTextItem("b", "Black Dog");
			AddTextItem("s", "Soviet");
		//	AddTextItem("c", "Chinese");
		//	AddTextItem("r", "Red Wolf");
		//	AddTextItem("o", "Olympian");
		//	AddTextItem("h", "Hadean");
		//	AddTextItem("i", "ISDF");
		//	AddTextItem("f", "Scion");
			AddTextItem("g", "Fury");
			UseVar("network.session.svar20");
		}


		CreateControl("AIOpponent1Difficulty", "LISTBOX")
		{
			ColorGroup("BZCLISTBOXG");
			Geometry("LEFT", "TOP");
			Position(80, 0);
			Size(75, 50);
			CellSize(65, 10);
			Style("OUTLINE");
			Cursor("Highlight");
			Font("SMALL");
			Style("VSLIDER");
			AddTextItem("bzceasy_", "Easy");
			AddTextItem("bzcnorm_", "Normal");
			AddTextItem("bzchard_", "Hard");
			AddTextItem("bzcextr_", "Extreme");
			UseVar("network.session.svar25");
		}
	}

	CreateControl("AIOpponent2Window", "WINDOW")
	{
		ColorGroup("LISTBOX");
		//ColorGroup("BUTTONBOX");
		Position(0, 90);
		Size(236, 50);
		Style("TRANSPARENT", "INERT");
		//Style("SOLID", "INERT");
		Geometry("LEFT", "TOP");

		CreateControl("AIOpponent2Title", "STATIC")
		{
			ColorGroup("LISTBOX");
			Position(0, -10);
			Size(236, 10);
			Style("TRANSPARENT");
			Font("SMALL");
			JustifyText("CENTER");
			Text("CPU Opponent 2");
		}

		CreateControl("AIOpponent2Race", "LISTBOX")
		{
			ColorGroup("BZCLISTBOXG");
			Geometry("LEFT", "TOP");
			Position(0, 0);
			Size(75, 50);
			CellSize(65, 10);
			Style("OUTLINE");
			Cursor("Highlight");
			Font("SMALL");
			Style("VSLIDER");
			AddTextItem("", "---NONE---");
			AddTextItem("a", "American");
			AddTextItem("b", "Black Dog");
			AddTextItem("s", "Soviet");
		//	AddTextItem("c", "Chinese");
		//	AddTextItem("r", "Red Wolf");
		//	AddTextItem("o", "Olympian");
		//	AddTextItem("h", "Hadean");
		//	AddTextItem("i", "ISDF");
		//	AddTextItem("f", "Scion");
			AddTextItem("g", "Fury");
			UseVar("network.session.svar21");
		}


		CreateControl("AIOpponent2Difficulty", "LISTBOX")
		{
			ColorGroup("BZCLISTBOXG");
			Geometry("LEFT", "TOP");
			Position(80, 0);
			Size(75, 50);
			CellSize(65, 10);
			Style("OUTLINE");
			Cursor("Highlight");
			Font("SMALL");
			Style("VSLIDER");
			AddTextItem("bzceasy_", "Easy");
			AddTextItem("bzcnorm_", "Normal");
			AddTextItem("bzchard_", "Hard");
			AddTextItem("bzcextr_", "Extreme");
			UseVar("network.session.svar26");
		}
	}

	CreateControl("AIOpponent3Window", "WINDOW")
	{
		ColorGroup("LISTBOX");
		//ColorGroup("BUTTONBOX");
		Position(0, 150);
		Size(236, 50);
		Style("TRANSPARENT", "INERT");
		//Style("SOLID", "INERT");
		Geometry("LEFT", "TOP");

		CreateControl("AIOpponent3Title", "STATIC")
		{
			ColorGroup("LISTBOX");
			Position(0, -10);
			Size(236, 10);
			Style("TRANSPARENT");
			Font("SMALL");
			JustifyText("CENTER");
			Text("CPU Opponent 3");
		}

		CreateControl("AIOpponent3Race", "LISTBOX")
		{
			ColorGroup("BZCLISTBOXG");
			Geometry("LEFT", "TOP");
			Position(0, 0);
			Size(75, 50);
			CellSize(65, 10);
			Style("OUTLINE");
			Cursor("Highlight");
			Font("SMALL");
			Style("VSLIDER");
			AddTextItem("", "---NONE---");
			AddTextItem("a", "American");
			AddTextItem("b", "Black Dog");
			AddTextItem("s", "Soviet");
		//	AddTextItem("c", "Chinese");
		//	AddTextItem("r", "Red Wolf");
		//	AddTextItem("o", "Olympian");
		//	AddTextItem("h", "Hadean");
		//	AddTextItem("i", "ISDF");
		//	AddTextItem("f", "Scion");
			AddTextItem("g", "Fury");
			UseVar("network.session.svar22");
		}


		CreateControl("AIOpponent3Difficulty", "LISTBOX")
		{
			ColorGroup("BZCLISTBOXG");
			Geometry("LEFT", "TOP");
			Position(80, 0);
			Size(75, 50);
			CellSize(65, 10);
			Style("OUTLINE");
			Cursor("Highlight");
			Font("SMALL");
			Style("VSLIDER");
			AddTextItem("bzceasy_", "Easy");
			AddTextItem("bzcnorm_", "Normal");
			AddTextItem("bzchard_", "Hard");
			AddTextItem("bzcextr_", "Extreme");
			UseVar("network.session.svar27");
		}
	}

	CreateControl("AIOpponent4Window", "WINDOW")
	{
		ColorGroup("LISTBOX");
		//ColorGroup("BUTTONBOX");
		Position(0, 210);
		Size(236, 50);
		Style("TRANSPARENT", "INERT");
		//Style("SOLID", "INERT");
		Geometry("LEFT", "TOP");

		CreateControl("AIOpponent4Title", "STATIC")
		{
			ColorGroup("LISTBOX");
			Position(0, -10);
			Size(236, 10);
			Style("TRANSPARENT");
			Font("SMALL");
			JustifyText("CENTER");
			Text("CPU Opponent 4");
		}

		CreateControl("AIOpponent4Race", "LISTBOX")
		{
			ColorGroup("BZCLISTBOXG");
			Geometry("LEFT", "TOP");
			Position(0, 0);
			Size(75, 50);
			CellSize(65, 10);
			Style("OUTLINE");
			Cursor("Highlight");
			Font("SMALL");
			Style("VSLIDER");
			AddTextItem("", "---NONE---");
			AddTextItem("a", "American");
			AddTextItem("b", "Black Dog");
			AddTextItem("s", "Soviet");
		//	AddTextItem("c", "Chinese");
		//	AddTextItem("r", "Red Wolf");
		//	AddTextItem("o", "Olympian");
		//	AddTextItem("h", "Hadean");
		//	AddTextItem("i", "ISDF");
		//	AddTextItem("f", "Scion");
			AddTextItem("g", "Fury");
			UseVar("network.session.svar23");
		}


		CreateControl("AIOpponent4Difficulty", "LISTBOX")
		{
			ColorGroup("BZCLISTBOXG");
			Geometry("LEFT", "TOP");
			Position(80, 0);
			Size(75, 50);
			CellSize(65, 10);
			Style("OUTLINE");
			Cursor("Highlight");
			Font("SMALL");
			Style("VSLIDER");
			AddTextItem("bzceasy_", "Easy");
			AddTextItem("bzcnorm_", "Normal");
			AddTextItem("bzchard_", "Hard");
			AddTextItem("bzcextr_", "Extreme");
			UseVar("network.session.svar28");
		}
	}

	OnEvent("CloseAISetup")
	{
		FadeOut("|AISetupPage");
	}
}

CreateControl("AISetupPageClient", "WINDOW")
{	
	// inherit root window's dimensions
	Geometry("HCENTRE", "VCENTRE");
	ColorGroup("WHITE");
	Style("MODAL", "MoveAble"); //, "ThinTitleBar");
	Size(236, 300);
	Image("recdes.tga", 0, 0, 472, 600);
	//TabSize(0, 0);

	CreateControl("Name1Title", "STATIC")
	{
		ColorGroup("LISTBOX");
		Geometry("LEFT", "TOP");
		Position(0, 5);
		Size(236, 10);
		Font("SMALL");
		Text("AI Setup");
		JustifyText("CENTER");
		Style("TRANSPARENT");
	}

	CreateControl("CloseAIPSetup", "BUTTON")
	{
		ColorGroup("BZCBUTTON");
		Geometry("HCENTRE", "BOTTOM");
		Position(0, -2);
		Size(118, 29);
		Style("ROLLOVER");
		Cursor("Highlight");
		Image("ButtonSmL.tga", 0, 0, 118, 29);
		NotifyParent("Button::Press","CloseAISetup");

		CreateControl("Text", "STATIC")
		{
			Geometry("LEFT", "TOP");
			Position(19, 9);
			Size(80, 12);
			ColorGroup("BZCBUTTON");
			Font("SMALL");
			Style("INERT");
			JustifyText("CENTER");
			Text("Ok");
		}
	}

	CreateControl("AIOpponent1Window", "WINDOW")
	{
		ColorGroup("LISTBOX");
		//ColorGroup("BUTTONBOX");
		Position(0, 30);
		Size(236, 50);
		Style("TRANSPARENT", "INERT");
		//Style("SOLID", "INERT");
		Geometry("LEFT", "TOP");

		CreateControl("AIOpponent1Title", "STATIC")
		{
			ColorGroup("LISTBOX");
			Position(0, -10);
			Size(236, 10);
			Style("TRANSPARENT");
			Font("SMALL");
			JustifyText("CENTER");
			Text("CPU Opponent 1");
		}

		CreateControl("AIOpponent1Race", "LISTBOX")
		{
			ColorGroup("BZCLISTBOXG");
			Geometry("LEFT", "TOP");
			Position(0, 0);
			Size(75, 50);
			CellSize(65, 10);
			Style("OUTLINE");
			Cursor("Highlight");
			Font("SMALL");
			Style("VSLIDER", "INERT");
			AddTextItem("", "---NONE---");
			AddTextItem("a", "American");
			AddTextItem("b", "Black Dog");
			AddTextItem("s", "Soviet");
		//	AddTextItem("c", "Chinese");
		//	AddTextItem("r", "Red Wolf");
		//	AddTextItem("o", "Olympian");
		//	AddTextItem("h", "Hadean");
		//	AddTextItem("i", "ISDF");
		//	AddTextItem("f", "Scion");
			AddTextItem("g", "Fury");
			UseVar("network.session.svar20");
		}


		CreateControl("AIOpponent1Difficulty", "LISTBOX")
		{
			ColorGroup("BZCLISTBOXG");
			Geometry("LEFT", "TOP");
			Position(80, 0);
			Size(75, 50);
			CellSize(65, 10);
			Style("OUTLINE");
			Cursor("Highlight");
			Font("SMALL");
			Style("VSLIDER", "INERT");
			AddTextItem("bzceasy_", "Easy");
			AddTextItem("bzcnorm_", "Normal");
			AddTextItem("bzchard_", "Hard");
			AddTextItem("bzcextr_", "Extreme");
			UseVar("network.session.svar25");
		}
	}

	CreateControl("AIOpponent2Window", "WINDOW")
	{
		ColorGroup("LISTBOX");
		//ColorGroup("BUTTONBOX");
		Position(0, 90);
		Size(236, 50);
		Style("TRANSPARENT", "INERT");
		//Style("SOLID", "INERT");
		Geometry("LEFT", "TOP");

		CreateControl("AIOpponent2Title", "STATIC")
		{
			ColorGroup("LISTBOX");
			Position(0, -10);
			Size(236, 10);
			Style("TRANSPARENT");
			Font("SMALL");
			JustifyText("CENTER");
			Text("CPU Opponent 2");
		}

		CreateControl("AIOpponent2Race", "LISTBOX")
		{
			ColorGroup("BZCLISTBOXG");
			Geometry("LEFT", "TOP");
			Position(0, 0);
			Size(75, 50);
			CellSize(65, 10);
			Style("OUTLINE");
			Cursor("Highlight");
			Font("SMALL");
			Style("VSLIDER", "INERT");
			AddTextItem("", "---NONE---");
			AddTextItem("a", "American");
			AddTextItem("b", "Black Dog");
			AddTextItem("s", "Soviet");
		//	AddTextItem("c", "Chinese");
		//	AddTextItem("r", "Red Wolf");
		//	AddTextItem("o", "Olympian");
		//	AddTextItem("h", "Hadean");
		//	AddTextItem("i", "ISDF");
		//	AddTextItem("f", "Scion");
			AddTextItem("g", "Fury");
			UseVar("network.session.svar21");
		}


		CreateControl("AIOpponent2Difficulty", "LISTBOX")
		{
			ColorGroup("BZCLISTBOXG");
			Geometry("LEFT", "TOP");
			Position(80, 0);
			Size(75, 50);
			CellSize(65, 10);
			Style("OUTLINE");
			Cursor("Highlight");
			Font("SMALL");
			Style("VSLIDER", "INERT");
			AddTextItem("bzceasy_", "Easy");
			AddTextItem("bzcnorm_", "Normal");
			AddTextItem("bzchard_", "Hard");
			AddTextItem("bzcextr_", "Extreme");
			UseVar("network.session.svar26");
		}
	}

	CreateControl("AIOpponent3Window", "WINDOW")
	{
		ColorGroup("LISTBOX");
		//ColorGroup("BUTTONBOX");
		Position(0, 150);
		Size(236, 50);
		Style("TRANSPARENT", "INERT");
		//Style("SOLID", "INERT");
		Geometry("LEFT", "TOP");

		CreateControl("AIOpponent3Title", "STATIC")
		{
			ColorGroup("LISTBOX");
			Position(0, -10);
			Size(236, 10);
			Style("TRANSPARENT");
			Font("SMALL");
			JustifyText("CENTER");
			Text("CPU Opponent 3");
		}

		CreateControl("AIOpponent3Race", "LISTBOX")
		{
			ColorGroup("BZCLISTBOXG");
			Geometry("LEFT", "TOP");
			Position(0, 0);
			Size(75, 50);
			CellSize(65, 10);
			Style("OUTLINE");
			Cursor("Highlight");
			Font("SMALL");
			Style("VSLIDER", "INERT");
			AddTextItem("", "---NONE---");
			AddTextItem("a", "American");
			AddTextItem("b", "Black Dog");
			AddTextItem("s", "Soviet");
		//	AddTextItem("c", "Chinese");
		//	AddTextItem("r", "Red Wolf");
		//	AddTextItem("o", "Olympian");
		//	AddTextItem("h", "Hadean");
		//	AddTextItem("i", "ISDF");
		//	AddTextItem("f", "Scion");
			AddTextItem("g", "Fury");
			UseVar("network.session.svar22");
		}


		CreateControl("AIOpponent3Difficulty", "LISTBOX")
		{
			ColorGroup("BZCLISTBOXG");
			Geometry("LEFT", "TOP");
			Position(80, 0);
			Size(75, 50);
			CellSize(65, 10);
			Style("OUTLINE");
			Cursor("Highlight");
			Font("SMALL");
			Style("VSLIDER", "INERT");
			AddTextItem("bzceasy_", "Easy");
			AddTextItem("bzcnorm_", "Normal");
			AddTextItem("bzchard_", "Hard");
			AddTextItem("bzcextr_", "Extreme");
			UseVar("network.session.svar27");
		}
	}

	CreateControl("AIOpponent4Window", "WINDOW")
	{
		ColorGroup("LISTBOX");
		//ColorGroup("BUTTONBOX");
		Position(0, 210);
		Size(236, 50);
		Style("TRANSPARENT", "INERT");
		//Style("SOLID", "INERT");
		Geometry("LEFT", "TOP");

		CreateControl("AIOpponent4Title", "STATIC")
		{
			ColorGroup("LISTBOX");
			Position(0, -10);
			Size(236, 10);
			Style("TRANSPARENT");
			Font("SMALL");
			JustifyText("CENTER");
			Text("CPU Opponent 4");
		}

		CreateControl("AIOpponent4Race", "LISTBOX")
		{
			ColorGroup("BZCLISTBOXG");
			Geometry("LEFT", "TOP");
			Position(0, 0);
			Size(75, 50);
			CellSize(65, 10);
			Style("OUTLINE");
			Cursor("Highlight");
			Font("SMALL");
			Style("VSLIDER", "INERT");
			AddTextItem("", "---NONE---");
			AddTextItem("a", "American");
			AddTextItem("b", "Black Dog");
			AddTextItem("s", "Soviet");
		//	AddTextItem("c", "Chinese");
		//	AddTextItem("r", "Red Wolf");
		//	AddTextItem("o", "Olympian");
		//	AddTextItem("h", "Hadean");
		//	AddTextItem("i", "ISDF");
		//	AddTextItem("f", "Scion");
			AddTextItem("g", "Fury");
			UseVar("network.session.svar23");
		}


		CreateControl("AIOpponent4Difficulty", "LISTBOX")
		{
			ColorGroup("BZCLISTBOXG");
			Geometry("LEFT", "TOP");
			Position(80, 0);
			Size(75, 50);
			CellSize(65, 10);
			Style("OUTLINE");
			Cursor("Highlight");
			Font("SMALL");
			Style("VSLIDER", "INERT");
			AddTextItem("bzceasy_", "Easy");
			AddTextItem("bzcnorm_", "Normal");
			AddTextItem("bzchard_", "Hard");
			AddTextItem("bzcextr_", "Extreme");
			UseVar("network.session.svar28");
		}
	}

	OnEvent("CloseAISetup")
	{
		FadeOut("|AISetupPageClient");
	}
}